Skip to main content
POST
/
v1
/
domains
Add a sending domain
curl --request POST \
  --url https://brew.new/api/v1/domains \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "send.example.com"
}
'
{
  "domains": [
    {
      "domainId": "jn7a8w4q8m9k2p1x7c3b5v6n9h7s2d4f",
      "domainUrl": "https://send.example.com",
      "name": "send.example.com",
      "region": "us-east-1",
      "status": "pending",
      "sendingEnabled": true,
      "sendable": false,
      "records": [
        {
          "record": "DKIM",
          "name": "resend._domainkey",
          "type": "TXT",
          "ttl": "Auto",
          "status": "pending",
          "value": "p=MIGfMA0..."
        }
      ],
      "createdAt": "2026-04-08T12:34:56.789Z",
      "updatedAt": "2026-04-08T12:34:56.789Z"
    }
  ]
}

Authorizations

Authorization
string
header
default:Bearer brew_your_api_key
required

Send your Brew API key as Authorization: Bearer brew_xxx.

Headers

Idempotency-Key
string

Optional idempotency key for safe retries. Reusing the same key with the same request body returns the original response for 24 hours.

Required string length: 1 - 100

Body

application/json
name
string
required
Required string length: 1 - 253
region
enum<string>
Available options:
us-east-1
customReturnPath
string
Required string length: 1 - 64

Response

Created. One-element { domains: [row] } (status pending).

domains
object[]
required